Bug 1768684 - two entries returned when query console_url metrics
Summary: two entries returned when query console_url metrics
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.0
Assignee: bpeterse
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1780180 1764313 1780170
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-05 01:43 UTC by Yadan Pei
Modified: 2020-01-23 11:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The console operator would record an initial empty string value for the console URL before the router had a change to provide a host. Consequence: There is an extra entry with an empty string value. Fix: The operator now waits until the host is not empty (and checks against previous values). Result: The extra entry is eliminated.
Clone Of:
: 1781475 (view as bug list)
Environment:
Last Closed: 2020-01-23 11:10:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console-operator pull 346 'None' closed Bug 1768684: Avoid console_url metric as empty string 2020-02-18 07:26:02 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:11:05 UTC

Comment 1 Samuel Padgett 2019-11-05 14:00:16 UTC
This will have to be fixed and verified in 4.3 before we can backport.

Comment 2 Samuel Padgett 2019-11-07 15:20:42 UTC
This depends on bug 1764313 since the metric is not working in 4.3.

Comment 6 errata-xmlrpc 2020-01-23 11:10:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.